﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;
using System.Windows.Data;

namespace TileViewWithFluidContentControl
{
	public partial class MainPage : UserControl
	{
		private ObservableCollection<TileViewModel> items = new ObservableCollection<TileViewModel>();

		public MainPage()
		{
			InitializeComponent();

			items.Add(new TileViewModel() { Header = "One", SmallContent = "SMALL", NormalContent = "NORMAL", LargeContent = "LARGE" });
			items.Add(new TileViewModel() { Header = "Two", SmallContent = "SMALL", NormalContent = "NORMAL", LargeContent = "LARGE" });
			items.Add(new TileViewModel() { Header = "Three", SmallContent = "SMALL", NormalContent = "NORMAL", LargeContent = "LARGE" });
			items.Add(new TileViewModel() { Header = "Four", SmallContent = "SMALL", NormalContent = "NORMAL", LargeContent = "LARGE" });

			this.myTileView.ItemsSource = items;
		}

		private void myTileView_TileStateChanged(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			var container = e.OriginalSource as RadTileViewItem;
			if (container != null)
			{
				var stackPanel = container.ChildrenOfType<StackPanel>().Where(g => g.Name == "headerToHide").FirstOrDefault();
				var button = container.ChildrenOfType<Button>().Where(g => g.Name == "customButton").FirstOrDefault();

				if (container.TileState == TileViewItemState.Maximized)
				{
					if (stackPanel != null)
					{
						stackPanel.Visibility = System.Windows.Visibility.Collapsed;
					}
					if (button != null)
					{
						button.Visibility = System.Windows.Visibility.Visible;
					}
				}
				else
				{
					if (stackPanel != null)
					{
						stackPanel.Visibility = System.Windows.Visibility.Visible;
					}
					if (button != null)
					{
						button.Visibility = System.Windows.Visibility.Collapsed;
					}
				}
			}
		}
	}
}
